Bug 1074927 - libQt5WebEngineCore and libre2 undefined symbol
libQt5WebEngineCore and libre2 undefined symbol
Status: RESOLVED INVALID
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Usability
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-08 01:55 UTC by Konstantin Voinov
Modified: 2018-01-09 01:33 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
fvogt: needinfo? (kv)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Voinov 2018-01-08 01:55:51 UTC
TW 20180103 x86_64
libqt5-qtwebengine-5.10.0-1.3
libre2-0-20180101

I think there was wrong linking in recent qtwebengine:

ldd -d -r /usr/lib64/libQt5WebEngineCore.so.5

....

undefined symbol: _ZN3re23RE23Arg12parse_stringEPKcmPv  (/usr/lib64/libQt5WebEngineCore.so.5)
undefined symbol: _ZN3re23RE23Arg9parse_intEPKcmPv      (/usr/lib64/libQt5WebEngineCore.so.5)

as result - nothing webengine-based can execute (qupzilla f.e.)
Comment 1 Fabian Vogt 2018-01-08 16:14:29 UTC
Works fine here with libre2-0-20180101-14.1.x86_64 and libqt5-qtwebengine-5.10.0-1.3.x86_64.

Do you have the same packages? If yes, run "rpm -qVa". If not, run "zypper .v dup".
Comment 2 Konstantin Voinov 2018-01-09 01:33:07 UTC
I apologize for wrong report.
There was old (1.5 years) libre2.so in /usr/local